ReadOnlyClassToSerializerMap
Date: 2016-12-04

com.fasterxml.jackson.databind.ser.impl

## Class ReadOnlyClassToSerializerMap

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.ReadOnlyClassToSerializerMap

-     public final class ReadOnlyClassToSerializerMap
      extends java.lang.Object

  Optimized lookup table for accessing two types of serializers; typed and non-typed. Only accessed from a single thread, so no synchronization needed for accessors.

  Note that before 2.6 this class was much smaller, and referred most operations to separate `JsonSerializerMap`, but in 2.6 functions were combined.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyClassToSerializerMap(java.util.Map<TypeKey,JsonSerializer<java.lang.Object>> serializers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadOnlyClassToSerializerMap` | `from(java.util.HashMap<TypeKey,JsonSerializer<java.lang.Object>> src)` Factory method for constructing an instance.
    `int` | `size()`
    `JsonSerializer<java.lang.Object>` | `typedValueSerializer(java.lang.Class<?> type)`
    `JsonSerializer<java.lang.Object>` | `typedValueSerializer(JavaType type)`
    `JsonSerializer<java.lang.Object>` | `untypedValueSerializer(java.lang.Class<?> type)`
    `JsonSerializer<java.lang.Object>` | `untypedValueSerializer(JavaType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyClassToSerializerMap

          public ReadOnlyClassToSerializerMap(java.util.Map<TypeKey,JsonSerializer<java.lang.Object>> serializers)

  - ### Method Detail

    - #### from

          public static ReadOnlyClassToSerializerMap from(java.util.HashMap<TypeKey,JsonSerializer<java.lang.Object>> src)

      Factory method for constructing an instance.

    - #### size

          public int size()

    - #### typedValueSerializer

          public JsonSerializer<java.lang.Object> typedValueSerializer(JavaType type)

    - #### typedValueSerializer

          public JsonSerializer<java.lang.Object> typedValueSerializer(java.lang.Class<?> type)

    - #### untypedValueSerializer

          public JsonSerializer<java.lang.Object> untypedValueSerializer(JavaType type)

    - #### untypedValueSerializer

          public JsonSerializer<java.lang.Object> untypedValueSerializer(java.lang.Class<?> type)